Summary: Automatically lower the priority level of long lived processes.
Name: autonice
Version: 0.74
Release: 5%{?dist}
URL: http://www.dpinson.com/software/autonice/index.php
Source: http://www.dpinson.com/software/autonice/files/%{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: /sbin/chkconfig

%description
This is `autonice', a program to automatically lower the priority
level of long lived processes.

The principal aim of the program is to give short lived interactive
processes more CPU time than long lived `batch style' jobs.  The idea
behind this is that those long lived jobs might take a little longer
to complete, but if a process is going to run for 24 hours anyway
then it doesn't matter too much if it takes an extra 30 minutes.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_sysconfdir} %{buildroot}%{_initdir}
install -m 755 autonice %{buildroot}%{_sbindir}/autonice
install -m 644 autonice.conf %{buildroot}%{_sysconfdir}/autonice.conf
install -m 755 autonice.rc %{buildroot}%{_initdir}/autonice

%post
/sbin/chkconfig --add autonice

%preun
if [ $1 = 0 ]; then
        /sbin/service autonice stop > /dev/null 2>&1
        /sbin/chkconfig --del autonice
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README README.ORIGINAL README.linux
%{_sbindir}/autonice
%config %{_sysconfdir}/autonice.conf
%{_initdir}/autonice

%changelog
* Sat Jun 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.74.

* Wed Feb  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.73.
- Patches have been applied upstream, remove them here.

* Sat Jul  5 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Introduced more rpm macro support.
- Don't run chkconfig --del if upgrading.
- Stop autonice daemon before uninstalling.

* Tue May  6 2003 Alan Iwi <A.M.Iwi@rl.ac.uk>
- Changes to pointer handling.
  Also tidyups to address warnings given by "gcc -Wall".

* Wed Mar  5 2003 Alan Iwi <A.M.Iwi@rl.ac.uk>
- Package as RedHat RPM

* Fri Jan  1 1999 David Pinson <dpinson@materials.unsw.edu.au>
- Port to Linux (some time in 1999)

* Fri Jan 1 1999 Massimo Ianigro <Massimo.Ianigro@ba.cnr.it>
- add new features (actually in 1996, but rpm rejects early dates in changelog)

* Fri Jan 1 1999 Ray Bellis <Ray.Bellis@psy.ox.ac.uk>
- Original release for DEC OSF/1 AXP (actually in 1994)
